## hubzero-expire-sessions 1.0.0

=== Makefile ===
# @package      hubzero-expire-sessions
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

USRLIBDIR=$(DESTDIR)/usr/lib
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root
WEBGROUP=www-data
WEBOWNER=www-data

clean:
	rm -f configure-stamp build-stamp

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/hubzero

	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRLIBDIR)/hubzero/bin/expire-sessions.py
	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.rc $(ETCDIR)/init.d/expire-sessions

## hubzero-expire-sessions 1.0.1

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 #
 # HUBzero is a registered trademark of Purdue University.
 
-USRLIBDIR=$(DESTDIR)/usr/lib
+USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
+VARRUNDIR=$(DESTDIR)/var/run
 ETCDIR=$(DESTDIR)/etc
 OWNER=root
 GROUP=root
@@ -36,10 +37,12 @@
 clean:
 	rm -f configure-stamp build-stamp
 
-install:
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/hubzero
+install-binary-indep:
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARRUNDIR)/expire-sessions
+	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
 
-	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRLIBDIR)/hubzero/bin/expire-sessions.py
-	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.rc $(ETCDIR)/init.d/expire-sessions
+install-init:
+	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
+
+install: install-binary-indep install-init

## hubzero-expire-sessions 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
+# Copyright (c) 2010-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
@@ -27,7 +27,6 @@
 
 USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
-VARRUNDIR=$(DESTDIR)/var/run
 ETCDIR=$(DESTDIR)/etc
 OWNER=root
 GROUP=root
@@ -38,11 +37,13 @@
 	rm -f configure-stamp build-stamp
 
 install-binary-indep:
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARRUNDIR)/expire-sessions
 	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
 
 install-init:
 	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
 
 install: install-binary-indep install-init
+
+postinst:
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
+

## hubzero-expire-sessions 1.1.2

=== Makefile ===
# @package      hubzero-expire-sessions
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRSBINDIR=$(DESTDIR)/usr/sbin
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc
WEBGROUP=www-data
WEBOWNER=www-data

default all build:
	@true

install:
	install --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
	install --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
	install --mode 0755 -d $(VARLOGDIR)/expire-sessions

configure:
	chown $(WEBOWNER):$(WEBGROUP) $(VARLOGDIR)/expire-sessions
	
clean:
	rm -f configure-stamp build-stamp

## hubzero-expire-sessions 1.1.4

=== Makefile ===
--- 
+++ 
@@ -27,20 +27,25 @@
 USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
-WEBGROUP=www-data
-WEBOWNER=www-data
 
 default all build:
 	@true
 
 install:
-	install --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
-	install --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
-	install --mode 0755 -d $(VARLOGDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
+	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
 
 configure:
-	chown $(WEBOWNER):$(WEBGROUP) $(VARLOGDIR)/expire-sessions
-	
+	chown www-data:adm $(VARLOGDIR)/expire-sessions
+	if [ -x "/etc/init.d/expire-sessions" ]; then \
+        update-rc.d expire-sessions defaults >/dev/null; \
+        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \
+                invoke-rc.d expire-sessions start || exit $?; \
+        else \
+                /etc/init.d/expire-sessions start || exit $?; \
+        fi \
+	fi
+
 clean:
 	rm -f configure-stamp build-stamp
-

## hubzero-expire-sessions 1.1.8

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
 
 configure:
-	chown www-data:adm $(VARLOGDIR)/expire-sessions
+	chown www-data:adm /var/log/expire-sessions
 	if [ -x "/etc/init.d/expire-sessions" ]; then \
         update-rc.d expire-sessions defaults >/dev/null; \
         if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \

## hubzero-expire-sessions 1.1.10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-expire-sessions 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,20 +23,30 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 
-USRSBINDIR=$(DESTDIR)/usr/sbin
-VARLOGDIR=$(DESTDIR)/var/log
-ETCDIR=$(DESTDIR)/etc
+USRSBIN=$(DESTDIR)/usr/sbin
+ETC=$(DESTDIR)/etc
+VARLOG=$(DESTDIR)/var/log
 
-default all build:
+ifeq ($(DISTRIBUTION),Debian)
+	INITFILE=expire-sessions.init.deb
+else
+	INITFILE=expire-sessions.init.rh
+endif
+
+all:
 	@true
 
 install:
-	install --mode 0755 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
-	install --mode 0755 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
-	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.py $(USRSBIN)/expire-sessions
+	install --mode 0755 -D $(INITFILE) $(ETC)/init.d/expire-sessions
+	install --mode 0755 -d $(VARLOG)/expire-sessions
 
-configure:
+uninstall:
+	@true
+
+postinst:
 	chown www-data:adm /var/log/expire-sessions
 	if [ -x "/etc/init.d/expire-sessions" ]; then \
         update-rc.d expire-sessions defaults >/dev/null; \
@@ -48,4 +58,6 @@
 	fi
 
 clean:
-	rm -f configure-stamp build-stamp
+	@true
+
+.PHONY: all install uninstall postinst clean

## hubzero-expire-sessions 1.3.4

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,8 @@
 USRSBIN=$(DESTDIR)/usr/sbin
 ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
+
+DISTRIBUTION=$(shell lsb_release -i -s)
 
 ifeq ($(DISTRIBUTION),Debian)
 	INITFILE=expire-sessions.init.deb

## hubzero-expire-sessions 2.0.0

=== Makefile ===
# @package      hubzero-expire-sessions
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBIN=$(DESTDIR)/usr/sbin
ETC=$(DESTDIR)/etc
VARLOG=$(DESTDIR)/var/log

DISTRIBUTION=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
	INITFILE=expire-sessions.init.deb
else
	INITFILE=expire-sessions.init.rh
endif

all:
	@true

install:
	install --mode 0755 -D expire-sessions.py $(USRSBIN)/expire-sessions
	install --mode 0755 -D $(INITFILE) $(ETC)/init.d/expire-sessions
	install --mode 0755 -d $(VARLOG)/expire-sessions

uninstall:
	@true

postinst:
	chown www-data:adm /var/log/expire-sessions
	if [ -x "/etc/init.d/expire-sessions" ]; then \
        update-rc.d expire-sessions defaults >/dev/null; \
        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \
                invoke-rc.d expire-sessions start || exit $?; \
        else \
                /etc/init.d/expire-sessions start || exit $?; \
        fi \
	fi

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-expire-sessions 2.1.2-1+deb7

=== debian/changelog ===
hubzero-expire-sessions (2.1.2-1+deb7) unstable; urgency=low

  * bug fix if 'end' column is not defined

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 10:02:12 -0400

hubzero-expire-sessions (2.1.1-1) unstable; urgency=medium

  * put latest path to maxwell first in search list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Apr 2017 10:34:07 -0400

hubzero-expire-sessions (2.1.0-1) unstable; urgency=low

  * use end field for better calculation of session expiration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 10:40:11 -0500

hubzero-expire-sessions (2.0.2-1) unstable; urgency=low

  * make sure mysql starts before expire-sessions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 20 Sep 2016 16:53:48 -0400

hubzero-expire-sessions (2.0.1-1) unstable; urgency=low

  * 1.3.5; fix postinst to handle symbolic links better 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 17 Sep 2015 11:03:54 -0400

hubzero-expire-sessions (2.0.0-1) unstable; urgency=low

  * update copyright, license, version
  * remove deprecated package hubzero-mw-expire

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 18:08:10 -0400

hubzero-expire-sessions (1.3.3-1) unstable; urgency=low

  * tweaks to session expiration rules to ignore abnormal joblog entries

 -- Pascal Meunier <pmeunier@purdue.edu>  Tue, 17 Feb 2015 09:02:13 -0500

hubzero-expire-sessions (1.3.2-1) unstable; urgency=low

  * ignore submit sessions; added short-circuit to reduce load

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 10:42:31 -0500

hubzero-expire-sessions (1.2.1-3) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:12:17 -0400

hubzero-expire-sessions (1.2.1-2) unstable; urgency=low

  * remove conflicts dependency for ancient package we also provide here

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 12:46:37 -0400

hubzero-expire-sessions (1.2.1-1) unstable; urgency=low

  * determine distribution before select init file in Makefile

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 11:46:25 -0400

hubzero-expire-sessions (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 15:21:37 -0400

hubzero-expire-sessions (1.1.10-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 13:30:41 -0400

hubzero-expire-sessions (1.1.9-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Aug 2013 18:24:50 -0400

hubzero-expire-sessions (1.1.8-1) unstable; urgency=low

  * expire anonymous sessions intelligently
  * don't expire sessions with running jobs 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Jun 2013 13:20:51 -0400

hubzero-expire-sessions (1.1.7-1) unstable; urgency=low

  * now deletes views without heartbeats, when starting
  * look for correct maxwell configuration file for 1.1 open source release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Dec 2012 14:43:47 -0500

hubzero-expire-sessions (1.1.6-1) unstable; urgency=low

  * fix permissions of log directory on package configure 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 16:31:34 -0400

hubzero-expire-sessions (1.1.5-1) unstable; urgency=low

  * fix ownership of log directory on package configure 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 14:47:24 -0400

hubzero-expire-sessions (1.1.4-1) unstable; urgency=low

  * fix the fix for reading maxwell configuration from correct location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 09:39:13 -0400

hubzero-expire-sessions (1.1.3-1) unstable; urgency=low

  * clean up build scripts
  * add logfile error check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 22:23:25 -0400

hubzero-expire-sessions (1.1.2-1) unstable; urgency=low

  * update HUBzero Foundation, LLC. copyrights and Debian 6 packaging
  * fix script and init.d script to catch trying to start multiple instances

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 20:01:07 -0400

hubzero-expire-sessions (1.1.1-1) unstable; urgency=low

  * replace TIMEDIFF with TIMESTAMPDIFF to avoid warnings and increase range
  * move log files to new location during postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Mar 2012 14:05:10 -0400

hubzero-expire-sessions (1.1.0-1) unstable; urgency=low

  * fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 11:29:30 -0400

hubzero-expire-sessions (1.0.1-1) unstable; urgency=low

  * Made compatible with hubzero-mw2
  * Install into system directories
  * More LSB compliant init.d script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Aug 2011 17:06:07 -0400

hubzero-expire-sessions (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:52:17 -0400

hubzero-expire-sessions (0.9.3-1) testing; urgency=low

  * change permissions on /usr/lib/hubzero/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 10:56:24 -0400

hubzero-expire-sessions (0.9.2-1) testing; urgency=low

  * renamed expire-sessions.rc to expire-sessions in debian/rules

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 01 Apr 2011 11:27:12 -0400

hubzero-expire-sessions (0.9.1-1) testing; urgency=low

  * added necessary fields to debian/control.

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 23:19:15 -0400

hubzero-expire-sessions (0.9.0-2) testing; urgency=low

  * Renamed package to hubzero-expire-sessions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 21 Mar 2011 13:07:49 -0400

hubzero-mw-expire (0.9.0-1) testing; urgency=low



=== debian/control ===
Source: hubzero-expire-sessions
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-expire-sessions
Architecture: all
Replaces: hubzero-mw-expire
Breaks: hubzero-mw-expire
Depends: python (>=2.6), ${misc:Depends}
Description: HUBzero middleware session expiration daemon
 HUBzero middleware session expiration daemon. Detects app sessions
 which have run not been viewed within their timeout period and ends
 them.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-expire-sessions
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-expire-sessions install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -phubzero-expire-sessions --name=expire-sessions -o
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	chown www-data:adm $(CURDIR)/debian/hubzero-expire-sessions/var/log/expire-sessions
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-expire-sessions 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
